import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { environment } from 'src/environments/environment';
import { debug } from 'util';
let header = new HttpHeaders();
header = header.set('Content-Type', 'application/json; charset=utf-8');

@Injectable({
    providedIn: 'root'
})
export class ManualarchivejobService {

 baseUrl: string = environment.serviceUrl;
    constructor(private httpClient: HttpClient) { }
    GetJobTitle(data: any): Observable<any> {
        return this.httpClient.post(this.baseUrl + 'api/AutoArchiveJobApi/GetJobTitle',
            data, { headers: header, observe: 'response' });
      }
      Jobarchieve(data: any): Observable<any> {
        return this.httpClient.post(this.baseUrl + 'api/AutoArchiveJobApi/Jobarchieve',
            data, { headers: header, observe: 'response' });
      }
}